Holger's Java API

## com.antelmann.util
Interface Refreshable

All Known Subinterfaces:
  ObjectTableModel<T>

All Known Implementing Classes:
  AbstractObjectTableModel, ConvertedObjectTableModel, DirectoryTreeNode, EmailTableModel, FileTreeNode, JDBCRowModel, JDBCTableModel, JMessageTable, JWebBrowser, LicenseTableModel, MessageTableModel, MethodTableModel, ObjectTableModelView, ObjectTableModelWrapper, PatternTableModel, PropertyEntryTableModel, ReadOnlyCacheStore, ReferenceHolder, ResultSetTableModel, RSSMenu, SelectableObjectsTableModel, SoftHolder, StoreUpdateTableModel, TableListResourceBundle, URLCache, WeakHolder

    @Todo(value="support listeners for refreshing the content")
    public interface Refreshable

marks classes that have content that can be refreshed

Since:
  13.01.2015, 12:57:51
Author:
  holger

Method Summary
`void` `refreshContent()` refreshes the embedded content

Method Detail

### refreshContent

    void refreshContent()
                        throws IOException

  refreshes the embedded content

  Throws:
    `IOException` - if the refresh failed

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads